List Postmortems
curl --request GET \
--url http://{host}:{port}/{basePath}/postmortems \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/postmortems"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/postmortems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "PostMortemList",
"metadata": {
"totalCount": 15,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "PM-20260318-001",
"incident": "INC-20260318-003",
"title": "OOMKill recorrente no checkout-service",
"severity": "critical",
"duration": "45m",
"impact": "3.2% de requests falharam no checkout durante 45 minutos",
"rootCause": "Memory leak no handler de webhook de pagamento",
"status": "published",
"createdAt": "2026-03-18T23:00:00Z",
"author": "ai-generated"
},
{
"name": "PM-20260317-001",
"incident": "INC-20260317-001",
"title": "Latencia elevada no api-gateway",
"severity": "high",
"duration": "20m",
"impact": "P99 latencia subiu de 150ms para 2.3s",
"rootCause": "Connection pool exaurido por queries lentas no PostgreSQL",
"status": "published",
"createdAt": "2026-03-17T18:30:00Z",
"author": "ai-generated"
}
]
}
PostMortems
List PostMortems
Returns the list of postmortems automatically generated by the platform
GET
/
postmortems
List Postmortems
string
Filter by associated incident (e.g.,
INC-20260319-001)string
Filter by original incident severity:
critical, high, medium, lowstring
Filter postmortems created from a given ISO 8601 date
integer
default:"1"
Page number
integer
default:"20"
Items per page (maximum 100)
{
"apiVersion": "v1",
"kind": "PostMortemList",
"metadata": {
"totalCount": 15,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "PM-20260318-001",
"incident": "INC-20260318-003",
"title": "OOMKill recorrente no checkout-service",
"severity": "critical",
"duration": "45m",
"impact": "3.2% de requests falharam no checkout durante 45 minutos",
"rootCause": "Memory leak no handler de webhook de pagamento",
"status": "published",
"createdAt": "2026-03-18T23:00:00Z",
"author": "ai-generated"
},
{
"name": "PM-20260317-001",
"incident": "INC-20260317-001",
"title": "Latencia elevada no api-gateway",
"severity": "high",
"duration": "20m",
"impact": "P99 latencia subiu de 150ms para 2.3s",
"rootCause": "Connection pool exaurido por queries lentas no PostgreSQL",
"status": "published",
"createdAt": "2026-03-17T18:30:00Z",
"author": "ai-generated"
}
]
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Filter by associated incident.
Filter by severity of the originating incident.
Available options:
critical, high, medium, low ISO 8601 timestamp filter.
Page number.
Items per page (max 100).
Required range:
x <= 100⌘I